Page MenuHomePhabricator

Huggle antivandalism network should make a tone, when someone writes something
Closed, ResolvedPublic

Description

Huggle is a popular tool intended for dealing with vandalism and other unconstructive edits on Wikimedia projects, written in C++ using the Qt framework.

HAN (Huggle antivandalism network) is an IRC based communication protocol used to exchange information about vandalism patrolling in between clients of Huggle or other tools.

Task:
The HAN window in Huggle should make a tone (maybe optional), when someone writes something, otherwise nobody noticed (me), when someone is writing something. This tone should be only used for user generated messages, not for automatic messages (from bots or information from clients, but only for real messages - the black ones).

The source code of Huggle can be found at http://github.com/huggle/huggle3-qt-lx

More information about hg can be found at http://enwp.org/WP:HG

Event Timeline

Luke081515 raised the priority of this task from to Needs Triage.
Luke081515 updated the task description. (Show Details)
Luke081515 added a subscriber: Luke081515.
Restricted Application added subscribers: Josve05a, Aklapper. · View Herald TranscriptOct 5 2015, 8:59 PM

Should this happen even if someone is connected to AN, but does not show (closed?) that chat-window in Huggle?

The second thing would be great, that the window is shown, if it was closed before, but I think the first thing is more important, because actually people don't notice that somebody writes something.

Petrb added a subscriber: Petrb.Oct 7 2015, 12:40 PM

Do you have any GPL-license compatible sound to play?

Se4598 added a subscriber: Se4598.Oct 7 2015, 7:01 PM

another option would be QApplication::beep()

I think the second one would be better, because the cropped version could be annoy after a short time...

Petrb set Security to None.
Restricted Application added subscribers: StudiesWorld, Matthewrbowker. · View Herald TranscriptNov 9 2015, 1:06 PM
Petrb triaged this task as Normal priority.Nov 9 2015, 1:17 PM

I will mentor this task

Petrb updated the task description. (Show Details)Jan 13 2016, 7:59 PM
Petrb lowered the priority of this task from Normal to Lowest.Apr 2 2016, 11:23 AM

It seems Qt just doesn't support sounds in the end: http://stackoverflow.com/a/4474851/1514983 so it's necessary to use some 3rd library for this, which is really an overkill for a simple task like this. So I guess we need to postpone this to very distant future (perhaps Qt6?)

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJan 17 2017, 10:35 PM
Krenair added a subscriber: Krenair.Apr 1 2017, 4:58 PM

Did this get done? I see huggle/vandalnw.cpp's VandalNw::OnIRCChannelMessage can do Resources::PlayEmbeddedSoundFile("not1.wav") if enabled

Petrb closed this task as Resolved.Apr 9 2017, 3:08 PM
Petrb claimed this task.